.node {
  width: 25px;
  height: 25px;
  background-color: rgb(119, 36, 127);
  outline: 1px solid black;
}

.node.path {
  background-color: rgb(243, 241, 48);
}

.node.animatePath {
  animation-name: pathAnimation;
  animation-duration: 0.2s;
  animation-fill-mode: forwards;
}

.node.visited {
  background-color: rgb(209, 12, 114);
}

.node.animateVisited {
  animation-name: visitedAnimation, visitedIdleAnimation;
  animation-duration: 1s, 2.5s;
  animation-delay: 0s, 1s;
  animation-fill-mode: forwards;
  animation-iteration-count: 1, infinite;
}

.node.start {
  background-color: rgb(82, 183, 90);
  animation-name: startFinishAnimation;
  animation-duration: 0.3s;
  animation-fill-mode: forwards;
}

.node.finish {
  background-color: rgb(82, 126, 183);
  animation-name: startFinishAnimation;
  animation-duration: 0.3s;
  animation-fill-mode: forwards;
}

.node.wall {
  animation-name: wallAnimation;
  animation-duration: 0.3s;
  animation-fill-mode: forwards;
  background-color: black;
}

.node.deletedWall {
  animation-name: deleteWallAnimation;
  animation-duration: 0.3s;
  animation-fill-mode: forwards;
  background-color: black;
}

.node.mazeLeader {
  animation-name: mazeLeaderAnimation;
  animation-duration: 0.1s;
  animation-fill-mode: forwards;
}

.node.mazeBacktrack {
  animation-name: mazeBacktrackAnimation;
  animation-duration: 1.5s;
  animation-fill-mode: forwards;
}

@keyframes visitedAnimation {
  0% {
    background-color: rgb(119, 36, 127);
    transform: scale(0);
    border-radius: 100%;
  }
  70% {
    background-color: rgb(145, 7, 79);
  }
  100% {
    background-color: rgb(209, 12, 114);
    transform: scale(1);
  }
}

@keyframes visitedIdleAnimation {
  0% {
    background-color: rgb(202, 20, 114);
  }
  33% {
    background-color: rgb(211, 32, 124);
  }
  66% {
    background-color: rgb(211, 60, 138);
  }
  100% {
    background-color: rgb(209, 12, 114);
  }
}

@keyframes pathAnimation {
  0% {
    background-color: rgb(235, 65, 86);
  }
  30% {
    background-color: rgb(231, 89, 57);
  }
  100% {
    background-color: rgb(243, 241, 48);
  }
}

@keyframes wallAnimation {
  0% {
    transform: scale(0);
  }
  100% {
    transform: scale(1);
  }
}

@keyframes deleteWallAnimation {
  0% {
    transform: scale(1);
  }
  100% {
    transform: scale(0);
  }
}

@keyframes startFinishAnimation {
  0% {
    transform: scale(0.5);
  }
  100% {
    transform: scale(1);
  }
}

@keyframes mazeLeaderAnimation {
  0% {
    background-color: rgb(243, 241, 48);
  }
  100% {
    background-color: inherit;
  }
}

@keyframes mazeBacktrackAnimation {
  0% {
    background-color: rgb(56, 79, 209);
  }
  100% {
    background-color: inherit;
  }
}
